# Generated from prometheus_exporter-0.8.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name prometheus_exporter

Name: rubygem-%{gem_name}
Version: 0.8.1
Release: 1%{?dist}
Summary: Prometheus Exporter
License: MIT
URL: https://github.com/discourse/prometheus_exporter
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.0
# BuildRequires: rubygem(rubocop) >= 0.69
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(guard) >= 2.0
# BuildRequires: rubygem(guard) < 3
# BuildRequires: rubygem(mini_racer) >= 0.3.1
# BuildRequires: rubygem(mini_racer) < 0.4
# BuildRequires: rubygem(guard-minitest) >= 2.0
# BuildRequires: rubygem(guard-minitest) < 3
# BuildRequires: rubygem(oj) >= 3.0
# BuildRequires: rubygem(oj) < 4
# BuildRequires: rubygem(rack-test) >= 0.8.3
# BuildRequires: rubygem(rack-test) < 0.9
# BuildRequires: rubygem(minitest-stub-const) >= 0.6
# BuildRequires: rubygem(minitest-stub-const) < 1
# BuildRequires: rubygem(rubocop-discourse) > 2
# BuildRequires: rubygem(appraisal) >= 2.3
# BuildRequires: rubygem(appraisal) < 3
# BuildRequires: rubygem(activerecord) >= 6.0.0
# BuildRequires: rubygem(activerecord) < 6.1
BuildArch: noarch

%description
Prometheus metric collector and exporter for Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/prometheus_exporter
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/Appraisals
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bench
%{gem_instdir}/bin
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/prometheus_exporter.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.8.1-1
- Initial package
